package com.cf.imes.module.plan.service.orderImport.property;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;


/**
 * webcad拆单配置
 *
 * @author Gqr
 * @since 2024/10/30 9:59
 */
@Configuration
@ConfigurationProperties(prefix = "chenfeng.plan.webcad.import")
public class WebCadImportProperties {
    /**
     * 单条订单内拆单板件阈值
     */
    private int cadImportPlateNumThreshold;

    /**
     * 是否开启异步拆单的板件数量阈值
     */
    private int asyncPlateThreshold;

    /**
     * 当前拆单的节点，异步用
     */
    private String node;

    /**
     * 异步拆单请求json缓存地址
     */
    private String tempFilePath;

    public String getTempFilePath() {
        return tempFilePath;
    }

    public void setTempFilePath(String tempFilePath) {
        this.tempFilePath = tempFilePath;
    }

    public String getNode() {
        return node;
    }

    public void setNode(String node) {
        this.node = node;
    }

    public int getAsyncPlateThreshold() {
        return asyncPlateThreshold;
    }

    public void setAsyncPlateThreshold(int asyncPlateThreshold) {
        this.asyncPlateThreshold = asyncPlateThreshold;
    }

    public int getCadImportPlateNumThreshold() {
        return cadImportPlateNumThreshold;
    }

    public void setCadImportPlateNumThreshold(int cadImportPlateNumThreshold) {
        this.cadImportPlateNumThreshold = cadImportPlateNumThreshold;
    }
}
